## python-vega-datasets 0.8+dfsg

=== Makefile ===
all: install

install:
	python setup.py install

test:
	black .
	python -m flake8 vega_datasets
	rm -r build
	python setup.py build &&\
	  cd build/lib &&\
	  python -m pytest --pyargs --doctest-modules vega_datasets

test-coverage:
	python setup.py build &&\
	  cd build/lib &&\
	  python -m pytest --pyargs --doctest-modules --cov=altair_transform --cov-report term vega_datasets

test-coverage-html:
	python setup.py build &&\
	  cd build/lib &&\
	  python -m pytest --pyargs --doctest-modules --cov=altair_transform --cov-report html vega_datasets

=== debian/changelog ===
python-vega-datasets (0.8+dfsg-2) unstable; urgency=medium

  * Source-only upload, so it can get into testing.
  * Bump debhelper-compat to 13.

 -- Santiago Ruano Rincón <santiago.ruano-rincon@imt-atlantique.fr>  Sun, 26 Jul 2020 23:32:52 +0200

python-vega-datasets (0.8+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #941666)

 -- Santiago Ruano Rincón <santiago.ruano-rincon@imt-atlantique.fr>  Tue, 31 Mar 2020 17:02:09 +0200

=== debian/control ===
Source: python-vega-datasets
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Santiago Ruano Rincón <santiago.ruano-rincon@imt-atlantique.fr>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-pandas, python3-setuptools, python3-pytest
Standards-Version: 4.5.0
Homepage: https://github.com/altair-viz/vega_datasets
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-vega-datasets
Vcs-Git: https://salsa.debian.org/python-team/modules/python-vega-datasets.git
#Testsuite: autopkgtest-pkg-python

Package: python3-vega-datasets
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Python 3 package for offline access to vega datasets
 Vega is a data visualization grammar, and this package provides a common
 repository for example datasets used by Vega related projects.

## python-vega-datasets 0.9+dfsg

=== Makefile ===
all: install

install:
	python setup.py install

test:
	black .
	python -m flake8 vega_datasets
	python -m mypy vega_datasets
	rm -r build
	python setup.py build &&\
	  cd build/lib &&\
	  python -m pytest --pyargs --doctest-modules vega_datasets

test-coverage:
	python setup.py build &&\
	  cd build/lib &&\
	  python -m pytest --pyargs --doctest-modules --cov=vega_datasets --cov-report term vega_datasets

test-coverage-html:
	python setup.py build &&\
	  cd build/lib &&\
	  python -m pytest --pyargs --doctest-modules --cov=vega_datasets --cov-report html vega_datasets

=== debian/changelog ===
python-vega-datasets (0.9+dfsg-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Santiago Ruano Rincón ]
  * New upstream version 0.9+dfsg

 -- Santiago Ruano Rincón <santiago.ruano-rincon@imt-atlantique.fr>  Mon, 11 Oct 2021 17:46:12 +0200

=== debian/control ===
Source: python-vega-datasets
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Santiago Ruano Rincón <santiago.ruano-rincon@imt-atlantique.fr>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-pandas, python3-setuptools, python3-pytest
Standards-Version: 4.5.0
Homepage: https://github.com/altair-viz/vega_datasets
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-vega-datasets
Vcs-Git: https://salsa.debian.org/python-team/packages/python-vega-datasets.git
#Testsuite: autopkgtest-pkg-python

Package: python3-vega-datasets
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Python 3 package for offline access to vega datasets
 Vega is a data visualization grammar, and this package provides a common
 repository for example datasets used by Vega related projects.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=vega-datasets

%:
	dh $@ --with python3 --buildsystem=pybuild


# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator

=== debian/watch ===
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-vega-datasets-$1.tar.gz%, dversionmangle=s/\+dfsg*$//, repacksuffix=+dfsg" \
   https://github.com/altair-viz/vega_datasets/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
